Bug 815726 - Do not obfuscate bpm-console client side stacktraces to improve supportability and bugzilla reports
Summary: Do not obfuscate bpm-console client side stacktraces to improve supportabilit...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console
Version: BRMS 5.3.0.GA
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ER7
: BRMS 5.3.0.GA
Assignee: Geoffrey De Smet
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-24 11:29 UTC by Geoffrey De Smet
Modified: 2012-05-28 01:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 790495 0 unspecified MODIFIED jbpm-console: IllegalArgumentException: must be positive 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 806065 0 unspecified ASSIGNED Pressing Esc key in jBPM Console throws exception 2021-02-22 00:41:40 UTC

Internal Links: 790495 806065

Description Geoffrey De Smet 2012-04-24 11:29:49 UTC
Currently, bpm-console obfuscates it's GWT build. Other GWT projects, such as guvnor don't do that. Because the GWT build is obfuscated, the stacktraces reported in bugzilla issues such as 806065 and 790495 are useless.

As a result, it's hard to determine the cause of those bugzilla's and fix them.
I suggest we turn of GWT build obfuscation.

Comment 1 Geoffrey De Smet 2012-04-24 11:30:56 UTC
Can we make this a blocker so I can commit the change to bpm-console 2.3.x for jbpm 5.2.x?

Comment 2 Lukáš Petrovický 2012-04-24 11:33:03 UTC
qa_ack+ ... this is a simple change and will greatly increase the quality of customer bug reports.

Comment 3 Geoffrey De Smet 2012-04-24 13:18:16 UTC
I've already pushed this change to master:
  https://github.com/bpmc/bpm-console/commit/4a741186091774fe8e44bd7352b77f232c5b6bb4
Ping me if this issue becomes a blocker and I can backport that change to 2.3.x.

Comment 4 Geoffrey De Smet 2012-04-24 13:52:47 UTC
Was just informed that this was approved as a blocker, so backported it to 2.3.x too.

Comment 5 Ryan Zhang 2012-05-14 08:16:51 UTC
The fixed for this issue should be included in ER7. Please do verification on it.

Comment 7 Lukáš Petrovický 2012-05-22 08:40:15 UTC
The fix for this is in ER7. VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.